//Require packages
var gulp = require('gulp'),
  uglify = require('gulp-uglify'),
  rename = require('gulp-rename'),
  concat = require('gulp-concat'),
  notify = require('gulp-notify');



//JS -> MIN.JS
//Minify js file
gulp.task('js', function () {
  gulp.src('src/js/*.js')
    .pipe(gulp.dest('dist'))
    .pipe(rename({
      suffix: '.min'
    }))
    .pipe(uglify())
    .pipe(gulp.dest('dist'))
    .pipe(notify({
      message: 'js task complete'
    }));
});


//WATCH TASK
gulp.task('watchJS', function () {
  gulp.watch('src/js/*.js', ['js']);
});
